Bug 988841 - pkcon -y option fails to complete transaction
pkcon -y option fails to complete transaction
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: PackageKit (Show other bugs)
7.0
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Richard Hughes
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 10:24 EDT by smatula
Modified: 2013-12-12 10:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-12 10:50:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description smatula 2013-07-26 10:24:12 EDT
Description of problem: Specifying the -y option for pkcon on install or remove does not perform the action. Status of 0 is returned but packages are not installed or removed.


Version-Release number of selected component (if applicable):
PackageKit-0.8.9-6.el7

How reproducible:
Always

Steps to Reproduce:
1. Install/remove package that will also require dependencies installed/removed
   (cheese and cheese-libs) Make sure both are removed or installed depending
    on action going to perform
2. perform pkcon -y install cheese  or  pkcon -y remove cheese-libs
3. Check status
4. Verify Installed/Removed depending on action

Actual results:
2) # pkcon -y install cheese
Installing                    [=========================]         
Waiting in queue              [=========================]         
Starting                      [=========================]         
Running                       [=========================]         
Resolving dependencies        [=========================]         
Downloading packages          [=========================]         
3) # echo $?
0
4) Packages are not installed

Expected results:
Command completes with no interaction and Packages Installed successfully

Additional info:
Works with --noninteractive
Comment 2 Matthias Clasen 2013-12-11 22:23:42 EST
we're not going to get pkcon fixes for 7.0. yum is the recommended commandline client for software installation, anyway
Comment 3 RHEL Product and Program Management 2013-12-12 10:50:28 EST
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.